% IMPPLOT plots impulse responses.
DO_PLOTS = 1;
PLOT_HOR = 48;
DO_EPS = 0;

PLOT_HOR = min(PLOT_HOR,HORIZON);
hor = (0 : PLOT_HOR)/12;
if DO_PLOTS,
   for j = 1 : nvar,
      plot(hor,ir(1:(PLOT_HOR+1),j),hor,0*ir(1:(PLOT_HOR+1),j));
      title(['Impulse response for ',names(j,:)]);
      xlabel('years'); % xlabel('month');
      ylabel('Percent'); % ylabel('response');
      if DO_EPS,
         if j == 1,
            print -deps ir1.eps
         elseif j == 2,
            print -deps ir2.eps
         elseif j == 3,
            print -deps ir3.eps
         elseif j == 4,
            print -deps ir4.eps
         elseif j == 5,
            print -deps ir5.eps
         elseif j == 6,
            print -deps ir6.eps
         else
         end;  
      else 
         pause;
      end;
   end;
end;
